
clear
format long

alpha = 1.4;
beta  = 0.3;
epsi  = 0.01          %0.01, 0.02; -- Still look Henon-ish
                      %0.03, 0.031, 0.03115 -- Develops a ``bend''
                      %0.0312, 0.0315 -- one ``line'' broken...

                      
                      
 num_x = 20;
 num_y = 5;
 the_x = linspace(0.6, 1.4, num_x);
 the_y = linspace(-0.1, 0.1, num_y);
 numIterates = 5000;                     
                            
 orbits = [];
 
 
 for n = 1:num_y
 
 for m= 1:num_x
  
     thisPoint = [the_x(m);
                  the_y(n)];
 thisOrbit = zeros(2, numIterates);
 for k = 1:numIterates
     
     
      fx = evaluateImplicitmap_henon(thisPoint, alpha, beta, epsi);
      thisOrbit(:, k) = fx; 
      thisPoint = fx;
     
 end
 
 orbits = [orbits, thisOrbit(:, 100:end)];
 
 end
 
 end
 
 figure 
 hold on
 plot(orbits(1, :), orbits(2, :), 'k.')
 
 
 
                      
                      
                      
                      
                      
                      
                      