function P = evaluatePoly2D_complexCasePov(s,t, Au, Bu, Cu, N)

P = [0;0;0];

for n = 0:N
    for m = 0:n
        n1 = n-m;
        n2 = m;
        thisCoef = ...
            [Au(n1+1, n2+1); Bu(n1+1, n2+1); Cu(n1+1, n2+1)];
        P = P + thisCoef*(s + 1i*t)^(n1)*(s - 1i*t)^(n2);
    end
end


%for m = 0:N
%    for n = 0:N
%        P = P + PMN(m+1, n+1,:)*(s + i*t)^m*(s - i*t)^n;
%    end
%end


end