function varargout = Data_intval_Henon(p0,alpha,beta,epsi)

 

%Differential at p_plus;

 

Dfp = Diff_for_Eigen(p0,alpha,beta, epsi);

    

%Eigenvalues and vectors of Df:

 

[E_temp, eigenvalues_temp] = eigs(Dfp.mid);

 

%Verify eigen data plus:

[lambda_c1, xi1] = verifyeig(Dfp, eigenvalues_temp(1,1), E_temp(:,1));

[lambda_c2, xi2] = verifyeig(Dfp, eigenvalues_temp(2,2), E_temp(:,2));



             

 

%==========================================================================

%Return Values:

%==========================================================================

 

varargout(1,1)={lambda_c1};

varargout(2,1)={lambda_c2};

varargout(3,1)={xi1};

varargout(4,1)={xi2};


